package p06_switch;

import javax.swing.JOptionPane;

public class DzienTygodnia2 {
	/* Tutaj widzimy najbardziej typy zapis instrukcji switch, jaki występował w Javie
	 * od początku (i tak samo w języku C i C++).
	 */

	public static void main(String[] args) {
		int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia"));
		
		switch (numer) {
		case 1:
			JOptionPane.showMessageDialog(null, "To jest poniedziałek");
			break;
		case 2:
			JOptionPane.showMessageDialog(null, "To jest wtorek");
			break;
		case 3:
			JOptionPane.showMessageDialog(null, "To jest środa");
			break;
		case 4:
			JOptionPane.showMessageDialog(null, "To jest czwartek");
			break;
		case 5:
			JOptionPane.showMessageDialog(null, "To jest piątek");
			JOptionPane.showMessageDialog(null, "Weekendu początek");
			break;
		case 6:
			JOptionPane.showMessageDialog(null, "To jest sobota");
			break;
		case 7:
			JOptionPane.showMessageDialog(null, "To jest niedziela");
			break;
		default:
			JOptionPane.showMessageDialog(null, "Niepoprawny numer " + numer, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
		JOptionPane.showMessageDialog(null, "Koniec programu");
	}

}
